LibreOffice: XImageProducer Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XImageProducer Interface Referencepublished

specifies a source for an image. More...

`import <XImageProducer.idl;`

Inheritance diagram for XImageProducer:

## Public Member Functions
void | addConsumer ([in] com::sun::star::awt::XImageConsumer xConsumer)
| registers an image consumer with the image producer for accessing the image data during a later reconstruction of the image.
void | removeConsumer ([in] com::sun::star::awt::XImageConsumer xConsumer)
| removes the given com::sun::star::awt::XImageConsumer callback from the list of consumers currently registered to receive image data.
void | startProduction ()
| registers the given image consumer as a consumer and starts an immediate reconstruction of the image data.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies a source for an image.

## Member Function Documentation

## ◆ addConsumer()

void addConsumer | ( | [in] com::sun::star::awt::XImageConsumer | xConsumer | ) |

registers an image consumer with the image producer for accessing the image data during a later reconstruction of the image.

The image producer may, at its discretion, start delivering the image data to the consumer using the XImageConsumer interface immediately, or when the next available image reconstruction is triggered by a call to the startProduction method.

## ◆ removeConsumer()

void removeConsumer | ( | [in] com::sun::star::awt::XImageConsumer | xConsumer | ) |

removes the given com::sun::star::awt::XImageConsumer callback from the list of consumers currently registered to receive image data.

It is not considered an error to remove a consumer that is not currently registered. The image producer should stop sending data to this consumer as soon as it is feasible.

## ◆ startProduction()

void startProduction | ( |  | ) |

registers the given image consumer as a consumer and starts an immediate reconstruction of the image data.

The image data will then be delivered to this consumer and any other consumer which may have already been registered with the producer. This method differs from the addConsumer method in that a reproduction of the image data should be triggered as soon as possible.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XImageProducer.idl